Opened 6 years ago

Closed 6 years ago

#525 closed defect (fixed)

No OS2AHCI.ADD

Reported by: David McKenna Owned by: dazarewicz
Priority: minor Milestone: Release 4.00
Component: Installer Version: 3.19.14
Keywords: Cc:

Description

I have a system that does not use AHCI so I did not install it when I installed eCS 2.1. When I try to install ACPI 3.19.14, it recommends that I do not install it (all the packages are closed) because I do not have OS2AHCI installed.

I went ahead and activated the packages anyway and installed and it works fine.

Change History (4)

comment:1 Changed 6 years ago by dazarewicz

  • Component changed from ACPI.PSD to Installer
  • Owner changed from eco to dazarewicz
  • Status changed from new to assigned

Do you remember more detail about what the installer said?

comment:2 Changed 6 years ago by David McKenna

I tried running it again. On the 2nd page of the warpin install it says in bold letters at the top: 'Installation of ACPI is not supported, it is advised to abort WarpIn?!'. Looking at the report below it, the only thing that failed was 'Driver C:\OS2\BOOT\OS2AHCI.ADD was not found.'

In case it matters, I should also mention that while I have the correct DANIS driver installed, it is not loaded by CONFIG.SYS (all SCSI system).

comment:3 Changed 6 years ago by dazarewicz

Thank you very much. That is exactly what I needed to know. And yes, the information about the DANI driver is the key. I will fix this.

comment:4 Changed 6 years ago by dazarewicz

  • Resolution set to fixed
  • Status changed from assigned to closed

Thank you for testing and identifying this problem.

I rewrote the Warpin install script and this problem has been fixed. The next release of the ACPI package will incorporate the new fixed Warpin installer which includes this fix.

Note: See TracTickets for help on using tickets.